## ros-crystal-py-trees 1.2.0

=== debian/changelog ===
ros-crystal-py-trees (1.2.0-1bionic) bionic; urgency=high

  **Breaking API**
  * [trees] removes the curious looking and unused ``destroy()`` method, #193 <https://github.com/splintered-reality/py_trees/pull/193>
  * [display] ``ascii_tree`` -> ``ascii_tree``/``unicode_tree()``, no longer subverts the choice depending on your stdout, #192 <https://github.com/splintered-reality/py_trees/pull/192>
  * [display] ``dot_graph`` -> ``dot_tree`` for consistency with the text tree methods, #192 <https://github.com/splintered-reality/py_trees/pull/192>
  **New Features**
  * [behaviour] ``shutdown()`` method to compliment ``setup()``, #193 <https://github.com/splintered-reality/py_trees/pull/193>
  * [display] ``xhtml_tree`` provides an xhtml compatible equivalent to the ``ascii_tree`` representation, #192 <https://github.com/splintered-reality/py_trees/pull/192>
  * [trees] walks the tree calling ``shutdown()`` on each node in it's own ``shutdown()`` method, #193 <https://github.com/splintered-reality/py_trees/pull/193>
  * [visitors] get a ``finalise()`` method called immediately prior to post tick handlers, #191 <https://github.com/splintered-reality/py_trees/pull/191>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 28 Apr 2019 04:00:00 -0000

ros-crystal-py-trees (1.1.0-1bionic) bionic; urgency=high

  **Breaking API**
  * [display] print_ascii_tree -> ascii_tree, #178 <https://github.com/splintered-reality/py_trees/pull/178>.
  * [display] generate_pydot_graph -> dot_graph, #178 <https://github.com/splintered-reality/py_trees/pull/178>.
  * [trees] tick_tock(sleep_ms, ..) -> tick_tock(period_ms, ...),  #182 <https://github.com/splintered-reality/py_trees/pull/182>.
  **New Features**
  * [trees] add missing ``add_visitor()`` method
  * [trees] flexible ``setup()`` for children via kwargs
  * [trees] convenience method for ascii tree debugging
  * [display] highlight the tip in ascii tree snapshots
  **Bugfixes**
  * [trees] threaded timers for setup (avoids multiprocessing problems)
  * [behaviour|composites] bugfix tip behaviour, add tests
  * [display] correct first indent when non-zero in ascii_tree
  * [display] apply same formatting to root as children in ascii_tree

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 19 Mar 2019 04:00:00 -0000

ros-crystal-py-trees (1.0.6-1bionic) bionic; urgency=high

  * [decorators] fix missing root feedback message in ascii graphs

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 06 Mar 2019 05:00:00 -0000

ros-crystal-py-trees (1.0.5-1bionic) bionic; urgency=high

  * [decorators] fix timeout bug that doesn't respect a child's last tick

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 28 Feb 2019 05:00:00 -0000

ros-crystal-py-trees (1.0.4-1bionic) bionic; urgency=high

  * [display] drop spline curves, it's buggy with graphviz 2.38

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 Feb 2019 05:00:00 -0000

ros-crystal-py-trees (1.0.3-1bionic) bionic; urgency=high

  * [visitors] winds of change visitor and logging demo

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-crystal-py-trees (1.0.2-1bionic) bionic; urgency=high

  * [console] fallbacks for unicode chars when (UTF-8) encoding cannot support them

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-crystal-py-trees (1.0.1-1bionic) bionic; urgency=high

  * [trees] don't use multiprocess on setup if not using timeouts

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Feb 2018 05:00:00 -0000

ros-crystal-py-trees (1.0.0-1bionic) bionic; urgency=high

  **Breaking API**
  * [behaviour] setup() no longer returns a boolean, catch exceptions instead, #143 <https://github.com/stonier/py_trees/issues/143>.
  * [behaviour] setup() no longer takes timeouts, responsibility moved to BehaviourTree, #148 <https://github.com/stonier/py_trees/issues/148>.
  * [decorators] new-style decorators found in py_trees.decorators
  * [decorators] new-style decorators stop their running child on completion (SUCCESS||FAILURE)
  * [decorators] old-style decorators in py_trees.meta deprecated
  **New Features**
  * [blackboard] added a method for clearing the entire blackboard (useful for tests)
  * [composites] raise TypeError when children's setup methods don't return a bool (common mistake)
  * [composites] new parallel policies, SuccessOnAll, SuccessOnSelected
  * [decorators] oneshot policies for activating on completion or *successful* completion only
  * [meta] behaviours from functions can now automagically generate names

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 18 Jan 2019 05:00:00 -0000

ros-crystal-py-trees (0.8.0-1bionic) bionic; urgency=high

  * [infra] shortcuts to types in __init__.py removed (PR117 <https://github.com/stonier/py_trees/pull/117>)
  * [bugfix] python3 rosdeps
  * [idioms] pick_up_where_you_left_off added

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 18 Oct 2018 04:00:00 -0000

ros-crystal-py-trees (0.7.5-1bionic) bionic; urgency=high

  * [idioms] oneshot added
  * [bugfix] properly set/reset parents when replacing/removing children in composites

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 10 Oct 2018 04:00:00 -0000

ros-crystal-py-trees (0.7.0-1bionic) bionic; urgency=high

  * [announce] python3 only support from this point forward
  * [announce] now compatible for ros2 projects

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Sep 2018 04:00:00 -0000

ros-crystal-py-trees (0.6.5-1bionic) bionic; urgency=high

  * [bugfix] pick up missing feedback messages in inverters
  * [bugfix] eliminate costly/spammy blackboard variable check feedback message

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Sep 2018 04:00:00 -0000

ros-crystal-py-trees (0.6.4-1bionic) bionic; urgency=high

  * [bugfix] replace awkward newlines with spaces in ascii trees

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Sep 2018 04:00:00 -0000

ros-crystal-py-trees (0.6.3-1bionic) bionic; urgency=high


